### `tf.sqrt(x, name=None)` {#sqrt}

Computes square root of x element-wise.

I.e., \(y = \sqrt{x} = x^{1/2}\).

##### Args:


*  <b>`x`</b>: A `Tensor` or `SparseTensor`. Must be one of the following types: `half`,
    `float32`, `float64`, `complex64`, `complex128`.
*  <b>`name`</b>: A name for the operation (optional).

##### Returns:

  A `Tensor` or `SparseTensor`, respectively. Has the same type as `x`.

